Bug 592303 - Upgrade JON 2.3.1 to JON 2.4 gives error: ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query
Summary: Upgrade JON 2.3.1 to JON 2.4 gives error: ERROR [org.hibernate.hql.PARSER] <A...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 3.0.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Depends On:
Blocks: rhq_triage jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-14 14:02 UTC by Rajan Timaniya
Modified: 2010-08-12 16:48 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:48:59 UTC


Attachments (Terms of Use)
logfile (54.47 KB, text/x-log)
2010-05-14 14:02 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-05-14 14:02:01 UTC
Created attachment 414060 [details]
logfile

Description of problem:
Upgrade JON 2.3.1 to JON 2.4 gives error after upgrade in server log.

2010-05-14 15:10:13,790 INFO  [org.rhq.helpers.rtfilter.filter.RtFilter] Initialized response-time filter for webapp with context root 'installer'.

2010-05-14 15:11:07,695 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:11:07,695 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:11:07,696 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Platforms, pattern='down platform']

2010-05-14 15:11:07,698 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:11:07,698 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:11:07,699 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Servers, pattern='down server']

2010-05-14 15:11:26,594 INFO  [net.hyperic.hq.common.shared.license.LicenseManager] [License owner=JBoss ON DEVELOPER ONLY!!! email=sales@jboss.com phone=404-467-8555 expiration=never platforms=unlimited serverIPs=any plugins=all support=3]

2010-05-14 15:12:07,568 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:12:07,570 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:12:07,571 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Platforms, pattern='down platform']

2010-05-14 15:12:07,577 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:12:07,577 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:12:07,577 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Servers, pattern='down server']

2010-05-14 15:13:07,567 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:13:07,568 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:13:07,569 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Platforms, pattern='down platform']

2010-05-14 15:13:07,575 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:13:07,575 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:13:07,576 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Servers, pattern='down server']

2010-05-14 15:14:07,557 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:14:07,557 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:14:07,558 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Platforms, pattern='down platform']

2010-05-14 15:14:07,560 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:14:07,560 ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

2010-05-14 15:14:07,561 ERROR [org.rhq.enterprise.server.scheduler.jobs.SavedSearchResultCountRecalculationJob] Could not calculate result count for SavedSearch[name=Downed Servers, pattern='down server']


Version-Release number of selected component (if applicable):
JON build# 147
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/147/

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.3.1 on Oracle 10g / Postgrace 8.4
2) Upgrade JON 2.3.1 to JON 2.4 (JON build #147)
3) Upload JON license (jon-license.xml)
4) Log in to JON 2.4 and goto dashboard
5) Refer JON server log
  
Actual results:
JON server log has error: ERROR [org.hibernate.hql.PARSER] <AST>:0:0: unexpected AST node: query

Expected results:
JON server log should not have error.

Additional info:

Comment 1 Joseph Marques 2010-05-26 00:39:10 UTC
commit cc8f2db67869ec32176c5160bc2adb195fdbb678 (April 27th, 2009)

small fix to dbsetup script data.  instead of using "down platform" use the advanced query form of "availability=down category=platform"

Comment 2 Rajan Timaniya 2010-05-27 09:54:11 UTC
Verified on JON build #170 - Revision: 10621

Comment 3 Corey Welton 2010-08-12 16:48:59 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.